

# GetAnnotationImportJob
<a name="API_GetAnnotationImportJob"></a>

**Important**  
 AWS HealthOmics variant stores and annotation stores are no longer open to new customers. Existing customers can continue to use the service as normal. For more information, see [AWS HealthOmics variant store and annotation store availability change](https://docs.aws.amazon.com/omics/latest/dev/variant-store-availability-change.html).

Gets information about an annotation import job.

## Request Syntax
<a name="API_GetAnnotationImportJob_RequestSyntax"></a>

```
GET /import/annotation/jobId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetAnnotationImportJob_RequestParameters"></a>

The request uses the following URI parameters.

 ** [jobId](#API_GetAnnotationImportJob_RequestSyntax) **   <a name="omics-GetAnnotationImportJob-request-uri-jobId"></a>
The job's ID.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_GetAnnotationImportJob_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetAnnotationImportJob_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "annotationFields": { 
      "string" : "string" 
   },
   "completionTime": "string",
   "creationTime": "string",
   "destinationName": "string",
   "formatOptions": { ... },
   "id": "string",
   "items": [ 
      { 
         "jobStatus": "string",
         "source": "string"
      }
   ],
   "roleArn": "string",
   "runLeftNormalization": boolean,
   "status": "string",
   "statusMessage": "string",
   "updateTime": "string",
   "versionName": "string"
}
```

## Response Elements
<a name="API_GetAnnotationImportJob_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [annotationFields](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-annotationFields"></a>
The annotation schema generated by the parsed annotation data.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 21.  
Value Length Constraints: Minimum length of 1. Maximum length of 21.

 ** [completionTime](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-completionTime"></a>
When the job completed.  
Type: Timestamp

 ** [creationTime](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-creationTime"></a>
When the job was created.  
Type: Timestamp

 ** [destinationName](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-destinationName"></a>
The job's destination annotation store.  
Type: String  
Length Constraints: Minimum length of 3. Maximum length of 255.  
Pattern: `([a-z]){1}([a-z0-9_]){2,254}` 

 ** [formatOptions](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-formatOptions"></a>
Formatting options for a file.  
Type: [FormatOptions](API_FormatOptions.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.

 ** [id](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-id"></a>
The job's ID.  
Type: String  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

 ** [items](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-items"></a>
The job's imported items.  
Type: Array of [AnnotationImportItemDetail](API_AnnotationImportItemDetail.md) objects  
Array Members: Fixed number of 1 item.

 ** [roleArn](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-roleArn"></a>
The job's service role ARN.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:([^: ]*):([^: ]*):([^: ]*):([0-9]{12}):([^: ]*)` 

 ** [runLeftNormalization](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-runLeftNormalization"></a>
The job's left normalization setting.  
Type: Boolean

 ** [status](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-status"></a>
The job's status.  
Type: String  
Valid Values: `SUBMITTED | IN_PROGRESS | CANCELLED | COMPLETED | FAILED | COMPLETED_WITH_FAILURES` 

 ** [statusMessage](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-statusMessage"></a>
The job's status message.  
Type: String

 ** [updateTime](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-updateTime"></a>
When the job was updated.  
Type: Timestamp

 ** [versionName](#API_GetAnnotationImportJob_ResponseSyntax) **   <a name="omics-GetAnnotationImportJob-response-versionName"></a>
 The name of the annotation store version.   
Type: String  
Length Constraints: Minimum length of 3. Maximum length of 255.  
Pattern: `([a-z]){1}([a-z0-9_]){2,254}` 

## Errors
<a name="API_GetAnnotationImportJob_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred. Try the request again.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The target resource was not found in the current Region.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetAnnotationImportJob_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/omics-2022-11-28/GetAnnotationImportJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/omics-2022-11-28/GetAnnotationImportJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/omics-2022-11-28/GetAnnotationImportJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/omics-2022-11-28/GetAnnotationImportJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/omics-2022-11-28/GetAnnotationImportJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/omics-2022-11-28/GetAnnotationImportJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/omics-2022-11-28/GetAnnotationImportJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/omics-2022-11-28/GetAnnotationImportJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/omics-2022-11-28/GetAnnotationImportJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/omics-2022-11-28/GetAnnotationImportJob) 